#! /bin/sh
# file://~/bin/sysinfo.sh # @author: www.RzR.online.FR
#------------------------------------------------------------------------------
# @author:  Philippe_COVAL(a)Yahoo.COM - http://RzR.online.FR - Rev:$Author$
# Updated: 2003-04
#------------------------------------------------------------------------------

LongOutput=false
Verbose=false

usage_ () {
cat<<EOF
Usage: $0
 Copyright & licence @ http://rzr.online.fr/licence.htm
[ Press Return ]

EOF
read t
}

main_() {

while [ $# -gt 0 ]
do
    case "$1" in
    	-l)	LongOutput=true;;
	-v)	Verbose=true;;
	--)	shift; break;;
	-h)	usage_;;
#	-*)	usage_;; ## --
	*)	break;;			# First file name
    esac
    shift
done
}


log_() 
{
echo "### $* # $USER@$HOSTNAME($OSTYPE $MACHTYPE)" 
$*
echo "#----------------------------------------------------------------"
}

print_()
{
log_ echo " #HOSTNAME=${HOSTNAME} # OSTYPE=${OSTYPE} # MACHTYPE=${MACHTYPE}"
log_ uname -a 

log_ fdisk -l /dev/hda
log_ df 
log_ lspci 
log_ si -p # -no-pager 
log_ gcc --version
log_ make --version
log_ autoconf --version 
log_ automake --version 
log_ env  

#log_ cat /proc/irq 
#log_ cat /proc/interrupts


#log_ du -ksh /
#log_ du -ksh /usr/local
#log_ du -ksh /home
#log_ du -ksh /var
#log_ du -ksh /tmp
}
backup_()
{
DATE=$(date +%Y-%m-%d)
DIR=${HOME}/var/sysinfo/${HOSTNAME}-${DATE}
mv $DIR $DIR-bak-$(date +%s)
mkdir -p $DIR
cd $DIR  || exit
cp "$0" ${DIR}/
dd if=/dev/hda of=mbr-hda-512.bin bs=512 count=1
log_ fdisk -l /dev/hda > fdisk-l-hda.txt
log_ fdisk -l -u /dev/hda >> fdisk-lu-hda.txt

log_ dmesg >> ${DIR}/dmesg.txt
log_ lspci -vxn -vv >> ${DIR}/lspci.txt
log_ setserial -agv /dev/ttyS* >> setserial.txt
log_ scanpci -v  >> ${DIR}/scanpci.txt
log_ xdpyinfo  >> ${DIR}/xdpyinfo.txt
log_ glxinfo   >> ${DIR}/xdpyinfo.txt
cp /etc/X11/XF86Config-4 ${DIR}/xf86config-4.txt
cp /etc/X11/XF86Config ${DIR}/xf86config.txt
cp /etc/fstab ${DIR}/fstab.txt
cp /etc/printcap ${DIR}/printcap.txt
cp /etc/motd ${DIR}/motd.txt
#cp /etc/crontab 
#mkdir -p ${DIR}/etc/apt/
cp /etc/apt/sources.list ${DIR}/apt-sources.txt


#mkdir -p ${DIR}/proc
#cd ${DIR}/proc

find /proc -size -1000 -maxdepth 1 -type f -name "[a-j|l-z]*" \
  -exec cp -v {} ${DIR}/ \;

cp /usr/src/linux/.config ${DIR}/config-kernel.txt

rm   ${DIR}/sysinfo.txt
#script  ${DIR}/sysinfo.txt
print_ >  ${DIR}/sysinfo.txt
#exit

cd ${DIR}/.. && tar cvfz sysinfo.tar.gz ${DIR}
}

LANGUAGE=english && export LANGUAGE

backup_ $*

#_EOF__________________________________________________________________________
